<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: cipher_xtea/xtea_cipher.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ff1a9937d77091a843a75ae52572ae76.html">cipher_xtea</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">xtea_cipher.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="xtea__cipher_8h_source.html">xtea_cipher.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for xtea_cipher.c:</div>
<div class="dyncontent">
<div class="center"><img src="xtea__cipher_8c__incl.png" border="0" usemap="#cipher__xtea_2xtea__cipher_8c" alt=""/></div>
<map name="cipher__xtea_2xtea__cipher_8c" id="cipher__xtea_2xtea__cipher_8c">
<area shape="rect" id="node2" href="xtea__cipher_8h.html" title="xtea_cipher.h" alt="" coords="41,80,141,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6be7731806c1b0c5d0271d219882e0a5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="xtea__cipher_8c.html#a6be7731806c1b0c5d0271d219882e0a5">xtea_cbc_init</a> (<a class="el" href="structxtea__cbc__t.html">xtea_cbc_t</a> *xtea_cbc, uint32_t init_vector[2], uint32_t key[4], uint32_t num_rounds)</td></tr>
<tr class="separator:a6be7731806c1b0c5d0271d219882e0a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a208d32f2e9e6e12c71b28206f020b8de"><td class="memItemLeft" align="right" valign="top"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="xtea__cipher_8c.html#a208d32f2e9e6e12c71b28206f020b8de">xtea_cbc_encrypt</a> (<a class="el" href="structxtea__cbc__t.html">xtea_cbc_t</a> *xtea_cbc, const uint32_t clear[2], uint32_t encrypted[2])</td></tr>
<tr class="separator:a208d32f2e9e6e12c71b28206f020b8de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11eee4453fa9762f2e4ce9ff75ec95ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="xtea__cipher_8c.html#a11eee4453fa9762f2e4ce9ff75ec95ff">xtea_cbc_decrypt</a> (<a class="el" href="structxtea__cbc__t.html">xtea_cbc_t</a> *xtea_cbc, const uint32_t encrypted[2], uint32_t clear[2])</td></tr>
<tr class="separator:a11eee4453fa9762f2e4ce9ff75ec95ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba6847e42c4df4054a22a467391faa0c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="xtea__cipher_8c.html#aba6847e42c4df4054a22a467391faa0c">xtea_encrypt_block</a> (const uint32_t clear[2], const uint32_t key[4], uint32_t encrypted[2], uint32_t num_rounds)</td></tr>
<tr class="separator:aba6847e42c4df4054a22a467391faa0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a3b96c29680cdd93110af84fc92f90"><td class="memItemLeft" align="right" valign="top"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="xtea__cipher_8c.html#a88a3b96c29680cdd93110af84fc92f90">xtea_decrypt_block</a> (const uint32_t encrypted[2], const uint32_t key[4], uint32_t clear[2], uint32_t num_rounds)</td></tr>
<tr class="separator:a88a3b96c29680cdd93110af84fc92f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a11eee4453fa9762f2e4ce9ff75ec95ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11eee4453fa9762f2e4ce9ff75ec95ff">&#9670;&nbsp;</a></span>xtea_cbc_decrypt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void xtea_cbc_decrypt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structxtea__cbc__t.html">xtea_cbc_t</a> *&#160;</td>
          <td class="paramname"><em>xtea_cbc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint32_t&#160;</td>
          <td class="paramname"><em>encrypted</em>[2], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>clear</em>[2]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a208d32f2e9e6e12c71b28206f020b8de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a208d32f2e9e6e12c71b28206f020b8de">&#9670;&nbsp;</a></span>xtea_cbc_encrypt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void xtea_cbc_encrypt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structxtea__cbc__t.html">xtea_cbc_t</a> *&#160;</td>
          <td class="paramname"><em>xtea_cbc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint32_t&#160;</td>
          <td class="paramname"><em>clear</em>[2], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>encrypted</em>[2]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6be7731806c1b0c5d0271d219882e0a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6be7731806c1b0c5d0271d219882e0a5">&#9670;&nbsp;</a></span>xtea_cbc_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void xtea_cbc_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structxtea__cbc__t.html">xtea_cbc_t</a> *&#160;</td>
          <td class="paramname"><em>xtea_cbc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>init_vector</em>[2], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>key</em>[4], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>num_rounds</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a88a3b96c29680cdd93110af84fc92f90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88a3b96c29680cdd93110af84fc92f90">&#9670;&nbsp;</a></span>xtea_decrypt_block()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void xtea_decrypt_block </td>
          <td>(</td>
          <td class="paramtype">const uint32_t&#160;</td>
          <td class="paramname"><em>encrypted</em>[2], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint32_t&#160;</td>
          <td class="paramname"><em>key</em>[4], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>clear</em>[2], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>num_rounds</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba6847e42c4df4054a22a467391faa0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba6847e42c4df4054a22a467391faa0c">&#9670;&nbsp;</a></span>xtea_encrypt_block()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="xtea__cipher_8h.html#a0df4b7af18ddd87e36ff0a8b157781ed">XTEA_CIPHER_SPEC</a> void xtea_encrypt_block </td>
          <td>(</td>
          <td class="paramtype">const uint32_t&#160;</td>
          <td class="paramname"><em>clear</em>[2], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint32_t&#160;</td>
          <td class="paramname"><em>key</em>[4], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>encrypted</em>[2], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>num_rounds</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
